#88247 Report by node travis-ci covering 1933 tests from 53 modules resulted into 3 errors

Report

ObsPy Version
1.0.3.post0+1855.g6b43db0b6...
Continuous Integration
https://travis-ci.org/obspy/obspy/jobs/287481759
GitHub Pull Request
-
Report File
XML Document
Total Runtime
1415.3 sec
Report Date/Time
2017-10-13 05:20:39

System / Python

Architecture
64bit
Machine
x86_64
Node
travis-ci
Processor
x86_64
Python Compiler
GCC 4.4.7 20120313 (Red Hat 4.4.7-1)
Python Implementation
CPython
Python Version
3.4.5
Release
4.11.6-041106-generic
System
Linux
Version
#201706170517 SMP Sat Jun 17 09:18:46 UTC 2017

Dependencies

cartopy
---
decorator
4.0.11
flake8
---
future
0.16.0
geographiclib
1.49
lxml.etree
3.7.2
m2crypto
---
matplotlib
2.0.0
mock
2.0.0
mpl_toolkits.basemap
1.0.7
numpy
1.11.3
osgeo.gdal
---
pep8-naming
---
pyflakes
---
pyimgur
0.5.2
pyproj
1.9.5.1
requests
2.14.2
scipy
0.18.1
setuptools
27.2.0
sqlalchemy
1.1.5

Modules (53)

Module Errors /
Failures
Tracebacks
obspy.clients.arclink - -
obspy.clients.earthworm - -
obspy.clients.fdsn - -
obspy.clients.filesystem - -
obspy.clients.iris - -
obspy.clients.neic - -
obspy.clients.nrl - -
obspy.clients.seedlink - -
obspy.clients.seishub 3 1 2 3
obspy.clients.syngine - -
obspy.core - -
obspy.db - -
obspy.geodetics - -
obspy.imaging - -
obspy.io.ah - -
obspy.io.arclink - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.gcf - -
obspy.io.gse2 - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.nordic - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.reftek - -
obspy.io.sac - -
obspy.io.scardec - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh - -
obspy.io.shapefile - -
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.win - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.scripts - -
obspy.signal - -
obspy.taup - -
Summary 3 3

Tracebacks (3)

Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/doctest.py", line 2187, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.seishub.client.Client
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/client.py", line 87, in Client
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/client.py", line 110, in obspy.clients.seishub.client.Client
Failed example:
st = client.waveform.get_waveforms("BW", "RTBE", "", "EHZ", t, t + 20)
Exception raised:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 1183, in do_open
h.request(req.get_method(), req.selector, req.data, headers)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 1137, in request
self._send_request(method, url, body, headers)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 1182, in _send_request
self.endheaders(body)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 1133, in endheaders
self._send_output(message_body)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 963, in _send_output
self.send(msg)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 898, in send
self.connect()
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 871, in connect
self.timeout, self.source_address)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/socket.py", line 516, in create_connection
raise err
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/socket.py", line 507, in create_connection
sock.connect(sa)
socket.timeout: timed out
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.client.Client[3]>", line 1, in <module>
st = client.waveform.get_waveforms("BW", "RTBE", "", "EHZ", t, t + 20)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/client.py", line 504, in get_waveforms
data = self.client._fetch(url, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/client.py", line 218, in _fetch
response = urllib_request.urlopen(remoteaddr, timeout=self.timeout)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 161, in urlopen
return opener.open(url, data, timeout)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 464, in open
response = self._open(req, data)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 482, in _open
'_open', req)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 442, in _call_chain
result = func(*args)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 1211, in http_open
return self.do_open(http.client.HTTPConnection, req)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 1185, in do_open
raise URLError(err)
urllib.error.URLError: <urlopen error timed out>
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/client.py", line 111, in obspy.clients.seishub.client.Client
Failed example:
print(st) # doctest: +ELLIPSIS
Exception raised:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.client.Client[4]>", line 1, in <module>
print(st) # doctest: +ELLIPSIS
NameError: name 'st' is not defined
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/doctest.py", line 2187, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.seishub.client._StationMapperClient.get_paz
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/client.py", line 704, in get_paz
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/client.py", line 721, in obspy.clients.seishub.client._StationMapperClient.get_paz
Failed example:
paz = c.station.get_paz('BW.MANZ..EHZ', '20090707')
Exception raised:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 1183, in do_open
h.request(req.get_method(), req.selector, req.data, headers)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 1137, in request
self._send_request(method, url, body, headers)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 1182, in _send_request
self.endheaders(body)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 1133, in endheaders
self._send_output(message_body)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 963, in _send_output
self.send(msg)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 898, in send
self.connect()
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 871, in connect
self.timeout, self.source_address)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/socket.py", line 516, in create_connection
raise err
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/socket.py", line 507, in create_connection
sock.connect(sa)
socket.timeout: timed out
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.client._StationMapperClient.get_paz[1]>", line 1, in <module>
paz = c.station.get_paz('BW.MANZ..EHZ', '20090707')
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/client.py", line 745, in get_paz
datetime=datetime)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/client.py", line 641, in get_list
root = self.client._objectify(url, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/client.py", line 255, in _objectify
doc = self._fetch(url, *args, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/client.py", line 218, in _fetch
response = urllib_request.urlopen(remoteaddr, timeout=self.timeout)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 161, in urlopen
return opener.open(url, data, timeout)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 464, in open
response = self._open(req, data)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 482, in _open
'_open', req)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 442, in _call_chain
result = func(*args)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 1211, in http_open
return self.do_open(http.client.HTTPConnection, req)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 1185, in do_open
raise URLError(err)
urllib.error.URLError: <urlopen error timed out>
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/client.py", line 722, in obspy.clients.seishub.client._StationMapperClient.get_paz
Failed example:
paz['zeros']
Exception raised:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.client._StationMapperClient.get_paz[2]>", line 1, in <module>
paz['zeros']
NameError: name 'paz' is not defined
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/client.py", line 724, in obspy.clients.seishub.client._StationMapperClient.get_paz
Failed example:
len(paz['poles'])
Exception raised:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.client._StationMapperClient.get_paz[3]>", line 1, in <module>
len(paz['poles'])
NameError: name 'paz' is not defined
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/client.py", line 726, in obspy.clients.seishub.client._StationMapperClient.get_paz
Failed example:
print(paz['poles'][0])
Exception raised:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.client._StationMapperClient.get_paz[4]>", line 1, in <module>
print(paz['poles'][0])
NameError: name 'paz' is not defined
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/client.py", line 728, in obspy.clients.seishub.client._StationMapperClient.get_paz
Failed example:
paz['gain']
Exception raised:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.client._StationMapperClient.get_paz[5]>", line 1, in <module>
paz['gain']
NameError: name 'paz' is not defined
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/client.py", line 730, in obspy.clients.seishub.client._StationMapperClient.get_paz
Failed example:
paz['sensitivity']
Exception raised:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.client._StationMapperClient.get_paz[6]>", line 1, in <module>
paz['sensitivity']
NameError: name 'paz' is not defined
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/doctest.py", line 2187, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.seishub.__init__
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/__init__.py", line 1, in __init__
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/__init__.py", line 22, in obspy.clients.seishub.__init__
Failed example:
st = client.waveform.get_waveforms("BW", "MANZ", "", "EH*", t, t+20)
Exception raised:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 1183, in do_open
h.request(req.get_method(), req.selector, req.data, headers)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 1137, in request
self._send_request(method, url, body, headers)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 1182, in _send_request
self.endheaders(body)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 1133, in endheaders
self._send_output(message_body)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 963, in _send_output
self.send(msg)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 898, in send
self.connect()
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 871, in connect
self.timeout, self.source_address)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/socket.py", line 516, in create_connection
raise err
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/socket.py", line 507, in create_connection
sock.connect(sa)
socket.timeout: timed out
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.__init__[4]>", line 1, in <module>
st = client.waveform.get_waveforms("BW", "MANZ", "", "EH*", t, t+20)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/client.py", line 504, in get_waveforms
data = self.client._fetch(url, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/client.py", line 218, in _fetch
response = urllib_request.urlopen(remoteaddr, timeout=self.timeout)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 161, in urlopen
return opener.open(url, data, timeout)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 464, in open
response = self._open(req, data)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 482, in _open
'_open', req)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 442, in _call_chain
result = func(*args)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 1211, in http_open
return self.do_open(http.client.HTTPConnection, req)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 1185, in do_open
raise URLError(err)
urllib.error.URLError: <urlopen error timed out>
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/__init__.py", line 23, in obspy.clients.seishub.__init__
Failed example:
st.sort() # doctest: +ELLIPSIS
Exception raised:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.__init__[5]>", line 1, in <module>
st.sort() # doctest: +ELLIPSIS
NameError: name 'st' is not defined
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/__init__.py", line 25, in obspy.clients.seishub.__init__
Failed example:
print(st) # doctest: +ELLIPSIS
Exception raised:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.__init__[6]>", line 1, in <module>
print(st) # doctest: +ELLIPSIS
NameError: name 'st' is not defined
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/__init__.py", line 37, in obspy.clients.seishub.__init__
Failed example:
sta_ids = client.waveform.get_station_ids(network='BW')
Exception raised:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 1183, in do_open
h.request(req.get_method(), req.selector, req.data, headers)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 1137, in request
self._send_request(method, url, body, headers)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 1182, in _send_request
self.endheaders(body)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 1133, in endheaders
self._send_output(message_body)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 963, in _send_output
self.send(msg)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 898, in send
self.connect()
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 871, in connect
self.timeout, self.source_address)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/socket.py", line 516, in create_connection
raise err
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/socket.py", line 507, in create_connection
sock.connect(sa)
socket.timeout: timed out
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.__init__[8]>", line 1, in <module>
sta_ids = client.waveform.get_station_ids(network='BW')
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/client.py", line 376, in get_station_ids
root = self.client._objectify(url, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/client.py", line 255, in _objectify
doc = self._fetch(url, *args, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/client.py", line 218, in _fetch
response = urllib_request.urlopen(remoteaddr, timeout=self.timeout)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 161, in urlopen
return opener.open(url, data, timeout)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 464, in open
response = self._open(req, data)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 482, in _open
'_open', req)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 442, in _call_chain
result = func(*args)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 1211, in http_open
return self.do_open(http.client.HTTPConnection, req)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 1185, in do_open
raise URLError(err)
urllib.error.URLError: <urlopen error timed out>
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/__init__.py", line 41, in obspy.clients.seishub.__init__
Failed example:
cha_ids = client.waveform.get_channel_ids(network='BW', station='MANZ')
Exception raised:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 1183, in do_open
h.request(req.get_method(), req.selector, req.data, headers)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 1137, in request
self._send_request(method, url, body, headers)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 1182, in _send_request
self.endheaders(body)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 1133, in endheaders
self._send_output(message_body)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 963, in _send_output
self.send(msg)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 898, in send
self.connect()
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 871, in connect
self.timeout, self.source_address)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/socket.py", line 516, in create_connection
raise err
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/socket.py", line 507, in create_connection
sock.connect(sa)
socket.timeout: timed out
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.__init__[10]>", line 1, in <module>
cha_ids = client.waveform.get_channel_ids(network='BW', station='MANZ')
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/client.py", line 417, in get_channel_ids
root = self.client._objectify(url, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/client.py", line 255, in _objectify
doc = self._fetch(url, *args, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/client.py", line 218, in _fetch
response = urllib_request.urlopen(remoteaddr, timeout=self.timeout)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 161, in urlopen
return opener.open(url, data, timeout)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 464, in open
response = self._open(req, data)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 482, in _open
'_open', req)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 442, in _call_chain
result = func(*args)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 1211, in http_open
return self.do_open(http.client.HTTPConnection, req)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 1185, in do_open
raise URLError(err)
urllib.error.URLError: <urlopen error timed out>
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/__init__.py", line 42, in obspy.clients.seishub.__init__
Failed example:
sorted(cha_ids) # doctest: +NORMALIZE_WHITESPACE
Exception raised:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.__init__[11]>", line 1, in <module>
sorted(cha_ids) # doctest: +NORMALIZE_WHITESPACE
NameError: name 'cha_ids' is not defined
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/__init__.py", line 46, in obspy.clients.seishub.__init__
Failed example:
paz = client.station.get_paz('BW.MANZ..EHZ', UTCDateTime('20090808'))
Exception raised:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 1183, in do_open
h.request(req.get_method(), req.selector, req.data, headers)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 1137, in request
self._send_request(method, url, body, headers)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 1182, in _send_request
self.endheaders(body)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 1133, in endheaders
self._send_output(message_body)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 963, in _send_output
self.send(msg)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 898, in send
self.connect()
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/http/client.py", line 871, in connect
self.timeout, self.source_address)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/socket.py", line 516, in create_connection
raise err
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/socket.py", line 507, in create_connection
sock.connect(sa)
socket.timeout: timed out
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.__init__[12]>", line 1, in <module>
paz = client.station.get_paz('BW.MANZ..EHZ', UTCDateTime('20090808'))
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/client.py", line 745, in get_paz
datetime=datetime)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/client.py", line 641, in get_list
root = self.client._objectify(url, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/client.py", line 255, in _objectify
doc = self._fetch(url, *args, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/client.py", line 218, in _fetch
response = urllib_request.urlopen(remoteaddr, timeout=self.timeout)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 161, in urlopen
return opener.open(url, data, timeout)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 464, in open
response = self._open(req, data)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 482, in _open
'_open', req)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 442, in _call_chain
result = func(*args)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 1211, in http_open
return self.do_open(http.client.HTTPConnection, req)
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/urllib/request.py", line 1185, in do_open
raise URLError(err)
urllib.error.URLError: <urlopen error timed out>
----------------------------------------------------------------------
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/site-packages/obspy/clients/seishub/__init__.py", line 47, in obspy.clients.seishub.__init__
Failed example:
paz = paz.items()
Exception raised:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.4/doctest.py", line 1318, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.seishub.__init__[13]>", line 1, in <module>
paz = paz.items()
NameError: name 'paz' is not defined

Skipped Tests (42)

Submodule Test Skip Message
imaging test_script_plot (obspy.imaging.tests.test_mopad_script.MopadTestCase) Currently broken until further review.
core test_flake8 (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) Formatting tests require at least flake8 3.0.
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_global (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
clients.seishub test_get_channel_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_coordinates (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_event_list (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_location_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_network_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_paz (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_preview (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_preview_by_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_station_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_waveform_with_metadata (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_waveforms (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_localcache (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_ping (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seedlink test_info (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seedlink test_issue708 (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seedlink test_time_window (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
io.shapefile test_write_catalog_shapefile (obspy.io.shapefile.tests.test_core.ShapefileTestCase) gdal not installed or version is too old
io.shapefile test_write_catalog_shapefile_via_plugin (obspy.io.shapefile.tests.test_core.ShapefileTestCase) gdal not installed or version is too old
io.shapefile test_write_inventory_shapefile (obspy.io.shapefile.tests.test_core.ShapefileTestCase) gdal not installed or version is too old
io.shapefile test_write_inventory_shapefile_via_plugin (obspy.io.shapefile.tests.test_core.ShapefileTestCase) gdal not installed or version is too old
clients.arclink test_cryptography (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto, PyCrypto or cryptography is not installed
clients.arclink test_get_waveform_no_password (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto, PyCrypto or cryptography is not installed
clients.arclink test_get_waveform_unknown_user (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto, PyCrypto or cryptography is not installed
clients.arclink test_get_waveform_with_dcid_key (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto, PyCrypto or cryptography is not installed
clients.arclink test_get_waveform_with_dcid_key_file (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto, PyCrypto or cryptography is not installed
clients.arclink test_get_waveform_with_default_dcid_key_file (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto, PyCrypto or cryptography is not installed
clients.arclink test_get_waveform_wrong_password (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto, PyCrypto or cryptography is not installed
clients.arclink test_m2crypto (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto, PyCrypto or cryptography is not installed
clients.arclink test_pycrypto (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto, PyCrypto or cryptography is not installed
geodetics test_gps_2_dist_azimuth_bug150 (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is installed, not using calc_vincenty_inverse

Slowest Tests (20)

Runtime Test
321.422s __init__ (obspy.clients.seishub)
80.324s Client (obspy.clients.seishub.client)
80.248s get_paz (obspy.clients.seishub.client._StationMapperClient)
26.430s test_dataselect_bulk (obspy.clients.fdsn.tests.test_client.ClientTestCase)
25.738s test_get_inventory (obspy.clients.arclink.tests.test_client.ClientTestCase)
25.272s test_get_networks (obspy.clients.arclink.tests.test_client.ClientTestCase)
23.556s test_plot_farfield_without_quiver_with_maps (obspy.core.tests.test_event.EventTestCase)
22.135s test_get_waveform_instrument_change (obspy.clients.arclink.tests.test_client.ClientTestCase)
22.127s __init__ (obspy.taup)
20.640s test_response_calculation_from_seed_and_xseed (obspy.io.xseed.tests.test_core.CoreTestCase)
19.438s test_ppsd_restricted_stacks (obspy.signal.tests.test_spectral_estimation.PsdTestCase)
15.859s test_save_waveform_no_compression (obspy.clients.arclink.tests.test_client.ClientTestCase)
14.961s test_iris_example_queries_dataselect (obspy.clients.fdsn.tests.test_client.ClientTestCase)
14.349s test_get_inventory_twice (obspy.clients.arclink.tests.test_client.ClientTestCase)
14.290s test_get_waveform_with_metadata (obspy.clients.arclink.tests.test_client.ClientTestCase)
13.717s test_get_routing (obspy.clients.arclink.tests.test_client.ClientTestCase)
11.316s test_plot_multiple_traces (obspy.imaging.tests.test_waveform.WaveformTestCase)
11.157s test_shoot_existing_ray_param (obspy.taup.tests.test_seismic_phase.TauPySeismicPhaseTestCase)
10.764s test_issue_372 (obspy.clients.arclink.tests.test_client.ClientTestCase)
10.024s __init__ (obspy.clients.arclink)

Chuck Norris Fact

Chuck Norris compresses his files by doing a flying round house kick to the hard drive.